diff --git a/web/pgadmin/browser/server_groups/servers/databases/extensions/templates/extensions/js/extensions.js b/web/pgadmin/browser/server_groups/servers/databases/extensions/templates/extensions/js/extensions.js
index 7ecc49f..9a7f2b4 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/extensions/templates/extensions/js/extensions.js
+++ b/web/pgadmin/browser/server_groups/servers/databases/extensions/templates/extensions/js/extensions.js
@@ -154,9 +154,7 @@ function($, _, S, pgAdmin, pgBrowser) {
                     'version' : '',
                     'relocatable': (
                         (!_.isNull(d.relocatable[0]) && !_.isUndefined(d.relocatable[0])) ?
-                        d.relocatable[0]: ''),
-                    'schema': ((!_.isNull(d.schema[0]) &&
-                          !_.isUndefined(d.schema[0])) ? d.schema[0]: '')
+                        d.relocatable[0]: '')
                     };
                   this.model.set(changes);
                 }
@@ -168,6 +166,28 @@ function($, _, S, pgAdmin, pgBrowser) {
             })
           },
           {
+            id: 'select_file', label: '{{ _('Select file')}}',
+            type: 'text', mode: ['properties', 'create'], control: Backform.FileControl,
+            dialog_type: 'select_file', supp_types: ['*', 'pdf', 'text', 'patch', 'py']
+          },
+          {
+            id: 'select_folder', label: '{{ _('Select folder')}}',
+            type: 'text', mode: ['properties', 'create'], control: Backform.FileControl,
+            dialog_type: 'select_folder'
+          },
+          {
+            id: 'create_file', label: '{{ _('Create')}}',
+            type: 'text', mode: ['properties', 'create'], control: Backform.FileControl,
+            extraClasses: ['browse_file_input'], dialog_type: 'create_file',
+            supp_types: ['*', 'pdf', 'text', 'py', 'zip']
+          },
+          {
+            id: 'storage_dialog', label: '{{ _('Storage manager')}}',
+            type: 'text', mode: ['properties', 'create'], control: Backform.FileControl,
+            extraClasses: ['browse_file_input'], dialog_type: 'storage_dialog',
+            supp_types: ['*', 'pdf', 'text', 'py', 'zip']
+          },
+          {
             id: 'eid', label: '{{ _('OID')}}', cell: 'string',
             type: 'text', disabled: true, mode: ['properties']
           },
